Bug 128510 - Fix BROKEN on net/vnc
Summary: Fix BROKEN on net/vnc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-31 20:50 UTC by Stuart Barkley
Modified: 2008-12-27 03:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Barkley 2008-10-31 20:50:01 UTC
net/vnc is currently marked broken.

Fix: Note: this patch does not increment PORTREVISION.

Note: net/vnc should maybe be updated to 4.1.3.



-BROKEN=		checksum mismatch
-
 GNU_CONFIGURE=	yes
 # The vnc supplied zlib seg. faults if compiled with -O
 CONFIGURE_ARGS=	--with-installed-zlib
@@ -73,7 +71,7 @@
 # No direct URL for VNC -- have to pseudo-submit their webform.
 pre-fetch:
 	@${MKDIR} ${DISTDIR}/${DIST_SUBDIR} && cd ${DISTDIR}/${DIST_SUBDIR} && \
-	${FETCH_CMD} -o ${DISTNAME}.tar.gz 'http://www.realvnc.com/cgi-bin/download.cgi?product=free4/src/unix&acceptLicense=1&haveDetails=1&filetype=tar_gz'
+	${FETCH_CMD} -o ${DISTNAME}.tar.gz 'http://www.realvnc.com/cgi-bin/download.cgi?product=free4/src/unix&acceptLicense=1&haveDetails=1&filetype=tar_gz&filever=4.1.2'

 post-extract:
 .if !defined(WITHOUT_SERVER)--bob3tL4eBrnDUFeYOSPHMYHr1QnLFjx8UGOJqfa5IABmqLEC
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: net/vnc/Makefile
===================================================================
RCS file: /data/freebsd-cvs/ports/net/vnc/Makefile,v
retrieving revision 1.60
diff -u -r1.60 Makefile
--- net/vnc/Makefile	25 Oct 2008 10:18:21 -0000	1.60
+++ net/vnc/Makefile	31 Oct 2008 20:13:40 -0000
@@ -20,8 +20,6 @@
 RUN_DEPENDS=	xorg-fonts>=7.2:${PORTSDIR}/x11-fonts/xorg-fonts \
 		xauth:${PORTSDIR}/x11/xauth
How-To-Repeat: 
cd /usr/ports/net/vnc
make fetch
Comment 1 Edwin Groothuis freebsd_committer 2008-10-31 20:50:10 UTC
Maintainer of net/vnc,

Please note that PR ports/128510 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128510

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-10-31 20:50:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2008-11-02 19:27:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 dfilter service freebsd_committer 2008-12-27 03:08:36 UTC
wxs         2008-12-27 03:08:15 UTC

  FreeBSD ports repository

  Modified files:
    net/vnc              Makefile distinfo 
  Log:
  - Update to 4.1.3
  - This is still buggy on AMD64, I'm working on a fix.
  
  PR:             ports/128510, ports/128515, ports/129289, ports/129894
  Submitted by:   Lots of people
  
  Revision  Changes    Path
  1.62      +3 -6      ports/net/vnc/Makefile
  1.20      +3 -3      ports/net/vnc/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wesley Shields freebsd_committer 2008-12-27 03:08:45 UTC
State Changed
From-To: feedback->closed

Updated to 4.1.3